<bugID>1043361<Summary>Once I have some simulators installed, the "extra components" screen is unreachable</Summary><Description>Created attachment 8461518
No option to install more simulators

So if I want to add more simulators, how would I do that?

Suggestion: keep that option always visible maybe?</Description></bugID>